-- [PUMPS]

create table pumps
(
  id varchar(32) primary key references _link(id)
, node1 varchar(32) references _node(id) not null
, node2 varchar(32) references _node(id) not null
);

create table pumps_property_power
(
  id varchar primary key references pumps(id)
, value varchar(32) not null
);

create table pumps_property_speed
(
  id varchar primary key references pumps(id)
, value varchar(32) not null
);

create table pumps_property_head
(
  id varchar primary key references pumps(id)
, head varchar(32) references _curve(id) not null
);

create table pumps_property_pattern
(
  id varchar primary key references pumps(id)
, pattern varchar(32) references _pattern(id) not null
);
